Manifest-Version: 1.0
Bnd-LastModified: 1763061670567
Bundle-ManifestVersion: 2
Bundle-Name: Liferay SAML Web
Bundle-SymbolicName: com.liferay.saml.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.65.hotfix-7050-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype,com.liferay.application.
 list;version="7.0",com.liferay.expando.kernel.model;version="6.0",com
 .liferay.frontend.taglib.clay.servlet.taglib.util;version="4.6",com.l
 iferay.osgi.util;version="2.3",com.liferay.osgi.util.service;version=
 "3.1",com.liferay.petra.function;version="1.5",com.liferay.petra.stri
 ng;version="1.7",com.liferay.portal.configuration.metatype.annotation
 s;version="1.8",com.liferay.portal.configuration.metatype.bnd.util;ve
 rsion="3.0",com.liferay.portal.kernel.annotation;version="7.0",com.li
 feray.portal.kernel.dao.search;version="9.0",com.liferay.portal.kerne
 l.exception;version="13.3",com.liferay.portal.kernel.json;version="12
 .1",com.liferay.portal.kernel.language;version="11.0",com.liferay.por
 tal.kernel.lock;version="9.0",com.liferay.portal.kernel.log;version="
 8.0",com.liferay.portal.kernel.model;version="30.4",com.liferay.porta
 l.kernel.portlet;version="26.0",com.liferay.portal.kernel.portlet.bri
 dges.mvc;version="6.1",com.liferay.portal.kernel.portlet.url.builder;
 version="2.0",com.liferay.portal.kernel.repository.capabilities;versi
 on="3.0",com.liferay.portal.kernel.repository.model;version="11.2",co
 m.liferay.portal.kernel.resource.bundle;version="1.0",com.liferay.por
 tal.kernel.security.auth;version="6.1",com.liferay.portal.kernel.secu
 rity.permission;version="7.0",com.liferay.portal.kernel.service;versi
 on="25.1",com.liferay.portal.kernel.servlet;version="12.1",com.lifera
 y.portal.kernel.servlet.taglib;version="9.0",com.liferay.portal.kerne
 l.struts;version="8.0",com.liferay.portal.kernel.theme;version="10.5"
 ,com.liferay.portal.kernel.upgrade;version="21.2",com.liferay.portal.
 kernel.upload;version="10.1",com.liferay.portal.kernel.upload.configu
 ration;version="1.0",com.liferay.portal.kernel.util;version="63.0",co
 m.liferay.portal.upgrade.registry;version="5.0",com.liferay.saml.cons
 tants;version="2.5",com.liferay.saml.helper;version="1.0",com.liferay
 .saml.opensaml.integration.field.expression.handler;version="1.1",com
 .liferay.saml.opensaml.integration.field.expression.handler.registry;
 version="1.0",com.liferay.saml.opensaml.integration.field.expression.
 resolver;version="1.0",com.liferay.saml.opensaml.integration.field.ex
 pression.resolver.registry;version="1.1",com.liferay.saml.opensaml.in
 tegration.processor;version="1.0",com.liferay.saml.opensaml.integrati
 on.processor.context;version="1.1",com.liferay.saml.opensaml.integrat
 ion.processor.factory;version="1.0",com.liferay.saml.opensaml.integra
 tion.resolver;version="2.0",com.liferay.saml.persistence.exception;ve
 rsion="1.1",com.liferay.saml.persistence.model;version="4.1",com.life
 ray.saml.persistence.service;version="5.3",com.liferay.saml.runtime;v
 ersion="1.0",com.liferay.saml.runtime.certificate;version="2.0",com.l
 iferay.saml.runtime.configuration;version="5.1",com.liferay.saml.runt
 ime.exception;version="1.2",com.liferay.saml.runtime.metadata;version
 ="2.1",com.liferay.saml.runtime.servlet.profile;version="1.0",com.lif
 eray.saml.util;version="3.0",com.liferay.taglib.search;version="2.0",
 com.liferay.upload;version="1.2",javax.portlet,javax.portlet.annotati
 ons,javax.servlet,javax.servlet.http,javax.servlet.jsp,org.osgi.frame
 work;version="1.8",org.osgi.util.tracker;version="1.5",javax.net.ssl;
 resolution:=optional
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Connector to SAML 2.0
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Security
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: false
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.saml.web.internal.application.list,com.li
 feray.saml.web.internal.auth.publicpath,com.liferay.saml.web.internal
 .constants,com.liferay.saml.web.internal.display.context,com.liferay.
 saml.web.internal.exception,com.liferay.saml.web.internal.opensaml.in
 tegration.field.expression.handler,com.liferay.saml.web.internal.open
 saml.integration.field.expression.resolver,com.liferay.saml.web.inter
 nal.portlet,com.liferay.saml.web.internal.portlet.action,com.liferay.
 saml.web.internal.servlet.taglib,com.liferay.saml.web.internal.struts
 ,com.liferay.saml.web.internal.upgrade.registry,com.liferay.saml.web.
 internal.upgrade.v1_0_0,com.liferay.saml.web.internal.upload,com.life
 ray.saml.web.internal.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .application.list.PanelApp";uses:="com.liferay.application.list",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.portlet.
 bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.portle
 t.bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.p
 ortal.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand"
 ;uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.servlet.taglib.Dyn
 amicInclude";uses:="com.liferay.portal.kernel.servlet.taglib",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.struts.Stru
 tsAction";uses:="com.liferay.portal.kernel.struts",osgi.service;objec
 tClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeStepR
 egistrator";uses:="com.liferay.portal.upgrade.registry",osgi.service;
 objectClass:List<String>="com.liferay.saml.opensaml.integration.field
 .expression.handler.SamlSpIdpConnectionFieldExpressionHandler";uses:=
 "com.liferay.saml.opensaml.integration.field.expression.handler",osgi
 .service;objectClass:List<String>="com.liferay.saml.opensaml.integrat
 ion.field.expression.resolver.UserFieldExpressionResolver";uses:="com
 .liferay.saml.opensaml.integration.field.expression.resolver",osgi.se
 rvice;objectClass:List<String>="com.liferay.saml.web.internal.upload.
 CertificateUploadFileEntryHandler";uses:="com.liferay.saml.web.intern
 al.upload",osgi.service;objectClass:List<String>="com.liferay.saml.we
 b.internal.upload.CertificateUploadResponseHandler";uses:="com.lifera
 y.saml.web.internal.upload",osgi.service;objectClass:List<String>="ja
 va.lang.Object",osgi.service;objectClass:List<String>="javax.portlet.
 Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/util))",osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.json.JSONFactory)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.language.Langu
 age)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.model.Portlet)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.util.Portal)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.uti
 l.Props)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.saml.helper.RelayStateHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.saml.helper.SamlHttpRequestHelper)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.saml
 .opensaml.integration.field.expression.handler.registry.SamlSpIdpConn
 ectionFieldExpressionHandlerRegistry)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.saml.opensaml.integration.field.ex
 pression.handler.registry.UserFieldExpressionHandlerRegistry)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.saml.opens
 aml.integration.field.expression.resolver.registry.UserFieldExpressio
 nResolverRegistry)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.saml.opensaml.integration.processor.factory.SamlSpIdp
 ConnectionProcessorFactory)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.saml.persistence.service.SamlIdpSpConnection
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.saml.persistence.service.SamlSpIdpConnectionLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.sam
 l.runtime.certificate.CertificateTool)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.saml.runtime.configuration.SamlPr
 oviderConfigurationHelper)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.saml.runtime.metadata.LocalEntityManager)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.saml.r
 untime.servlet.profile.SingleLogoutProfile)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.saml.runtime.servlet.profile
 .WebSsoProfile)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.saml.web.internal.upload.CertificateUploadFileEntryHandl
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .saml.web.internal.upload.CertificateUploadResponseHandler)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.upload.Uploa
 dHandler)";effective:=active,osgi.service;filter:="(objectClass=javax
 .servlet.ServletContext)";effective:=active,osgi.extender;filter:="(&
 (osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",o
 sgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=Java
 Servlet)(version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet;fil
 ter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:=
 "(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.saml.web.internal.application.
 list.SamlAdminPanelApp.xml,OSGI-INF/com.liferay.saml.web.internal.aut
 h.publicpath.AuthPublicPath.xml,OSGI-INF/com.liferay.saml.web.interna
 l.opensaml.integration.field.expression.handler.AttributeMappingSamlS
 pIdpConnectionFieldExpressionHandler.xml,OSGI-INF/com.liferay.saml.we
 b.internal.opensaml.integration.field.expression.handler.DefaultSamlS
 pIdpConnectionFieldExpressionHandler.xml,OSGI-INF/com.liferay.saml.we
 b.internal.opensaml.integration.field.expression.resolver.AttributeUs
 erFieldExpressionResolver.xml,OSGI-INF/com.liferay.saml.web.internal.
 portlet.SamlAdminPortlet.xml,OSGI-INF/com.liferay.saml.web.internal.p
 ortlet.action.AdminViewMVCRenderCommand.xml,OSGI-INF/com.liferay.saml
 .web.internal.portlet.action.DeleteSamlIdpSpConnectionMVCActionComman
 d.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.action.DeleteSam
 lSpIdpConnectionMVCActionCommand.xml,OSGI-INF/com.liferay.saml.web.in
 ternal.portlet.action.DownloadCertificateMVCResourceCommand.xml,OSGI-
 INF/com.liferay.saml.web.internal.portlet.action.EditIdentityProvider
 ConnectionMVCRenderCommand.xml,OSGI-INF/com.liferay.saml.web.internal
 .portlet.action.EditServiceProviderConnectionMVCRenderCommand.xml,OSG
 I-INF/com.liferay.saml.web.internal.portlet.action.UpdateCertificateM
 VCActionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.ac
 tion.UpdateCertificateMVCRenderCommand.xml,OSGI-INF/com.liferay.saml.
 web.internal.portlet.action.UpdateCertificateMVCResourceCommand.xml,O
 SGI-INF/com.liferay.saml.web.internal.portlet.action.UpdateGeneralMVC
 ActionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.acti
 on.UpdateIdentityProviderConnectionMVCActionCommand.xml,OSGI-INF/com.
 liferay.saml.web.internal.portlet.action.UpdateIdentityProviderMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.action.
 UpdateServiceProviderConnectionMVCActionCommand.xml,OSGI-INF/com.life
 ray.saml.web.internal.portlet.action.UpdateServiceProviderMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.saml.web.internal.servlet.taglib.SamlB
 ottomJSPDynamicInclude.xml,OSGI-INF/com.liferay.saml.web.internal.str
 uts.AssertionConsumerServiceAction.xml,OSGI-INF/com.liferay.saml.web.
 internal.struts.AuthRedirectAction.xml,OSGI-INF/com.liferay.saml.web.
 internal.struts.MetadataAction.xml,OSGI-INF/com.liferay.saml.web.inte
 rnal.struts.SamlLoginAction.xml,OSGI-INF/com.liferay.saml.web.interna
 l.struts.SingleLogoutAction.xml,OSGI-INF/com.liferay.saml.web.interna
 l.struts.WebSsoAction.xml,OSGI-INF/com.liferay.saml.web.internal.upgr
 ade.registry.SamlWebUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.s
 aml.web.internal.upload.CertificateUploadFileEntryHandler.xml,OSGI-IN
 F/com.liferay.saml.web.internal.upload.CertificateUploadResponseHandl
 er.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /saml-web

